## org.apache.hadoop.util
Interface IndexedSorter

All Known Implementing Classes:
  HeapSort, QuickSort

    public interface IndexedSorter

Interface for sort algorithms accepting `IndexedSortable` items. A sort algorithm implementing this interface may only `IndexedSortable.compare(int, int)` and `IndexedSortable.swap(int, int)` items for a range of indices to effect a sort across that range.

Method Summary
`void` `sort(IndexedSortable s, int l, int r)` Sort the items accessed through the given IndexedSortable over the given range of logical indices.
`void` `sort(IndexedSortable s, int l, int r, Progressable rep)` Same as `sort(IndexedSortable,int,int)`, but indicate progress periodically.

Method Detail

### sort

    void sort(IndexedSortable s,
              int l,
              int r)

  Sort the items accessed through the given IndexedSortable over the given range of logical indices. From the perspective of the sort algorithm, each index between l (inclusive) and r (exclusive) is an addressable entry.

  See Also:
    `IndexedSortable.compare(int, int)`, `IndexedSortable.swap(int, int)`

### sort

    void sort(IndexedSortable s,
              int l,
              int r,
              Progressable rep)

  Same as `sort(IndexedSortable,int,int)`, but indicate progress periodically.

  See Also:
    `sort(IndexedSortable,int,int)`

Copyright © 2009 The Apache Software Foundation